Skip to content
Permalink
Browse files

Documented how to satisfy the OpenSSL dependency on Arch

  • Loading branch information
catalin-hritcu committed Mar 29, 2019
1 parent 7c7610a commit 10ce6e858552bfc40f4874673f123c8b160b237d
Showing with 2 additions and 1 deletion.
  1. +2 −1 ucontrib/CoreCrypto/INSTALL.md
@@ -55,8 +55,9 @@ opam install sqlite3

* On recent Ubuntus and Debians, installing `openssl-dev` should be enough and work out of the box. (JP: OpenSSL 1.0.2d 9 Jul 2015 worked for me).
* On older Ubuntus, we've had success with some PPA that offers a recent OpenSSL. See the `.travis.yml` file in the repo.
* On Arch first run git clone https://github.com/openssl/openssl.git in `pub/ucontrib/CoreCrypto/ml` and then run `make` here as usual.

Otherwise, if you get errors about missing `EVP_AES_GCM`, then you need to obtain the OpenSSL sourcecode, e.g. using
Otherwise, if you get errors about missing `EVP_AES_GCM`, then you need to obtain the OpenSSL source code, e.g. using

git clone https://github.com/openssl/openssl.git

0 comments on commit 10ce6e8

Please sign in to comment.
You can’t perform that action at this time.